Subject: Re: bug#77469: finder-inf is not autocompiled on installation

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Apr 2025 17:30:20 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Gergely Riskó <[email-masked]>
>> Date: Fri, 4 Apr 2025 13:09:27 +0200
>> Cc: [email-masked]
>>
>> The reason why this is not convenient for me to do locally: it's part of the system packaging that I use
>> (Debian, but I think it would be the same with other distros). And therefore periodically new version will appear
>> and I'll have to remember and recompile again.
>>
>> There is no risk for the end user for this elc compilation to get out of date, as it's part of the core emacs
>> installation, and therefore read only on most systems. So the risk is exactly the same as for any other el files
>> hand modified in the system installation.
>>
>> Also, I use many machines at different locations, with different emacs versions, so it's not a one time local
>> change and forget situation, would be tedious to remember after each apt upgrade.
>
> I hear you, but OTOH compiling this file will make the build a tad
> longer, so it is not coming for free.
>
> In general, we don't compile files that have no code.
>
> Does anyone else have an opinion?

No opinion, really.

Maybe we should make the change, if it keeps the startup time chasers
happy.  I guess it depends on whether the rest of us would notice any
difference.